body {
  font-family: sans-serif;
  margin: 50px;
}

div {
    margin: 20px 0;
    background-color:lavender;
    /* display: inline-block; */
}

p {
    background-color:coral;
    margin: 20px 0;
    padding: 5px;
}

h2 {
  margin-top: 50px;
}

.container {
    /* overflow: hidden; */
}

.floated {
    float:left;
    background-color: lightblue;
    margin:0 1em 0 0;
    width:200px;
}

.clearing {
    clear:both;
}

/**
 * http://nicolasgallagher.com/micro-clearfix-hack/
 * For modern browsers
 * 1. The space content is one way to avoid an Opera bug when the
 *    contenteditable attribute is included anywhere else in the document.
 *    Otherwise it causes space to appear at the top and bottom of elements
 *    that are clearfixed.
 * 2. The use of `table` rather than `block` is only necessary if using
 *    `:before` to contain the top-margins of child elements.
 */
.clearfix:before,
.clearfix:after {
    content: " "; /* 1 */
    display: table; /* 2 */
}

.clearfix:after {
    clear: both;
}
